import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/sophburke/e2a5a57fd931cb6174b2ba4494b24996/raw/2cb2293b9756a9a43bda9c3cb07236e6e3522a5e/hxmitx_pers-courseAY2013_viewer_location-test,csv'

const row = d => {
  d.lng = +d.Lng;
  d.lat = +d.Lat;
  d.views = +d.TotalViews;
  d.course = d.Course;
  d.school = d.School;
  d.country = d.Countries;
  d.age = +d.age;
  d.gender = d.gender;

  return d;
};

export const useDataViews = () => {
  const [data, setData] = useState(null);
  console.log('viewData: ', data);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
